using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace QQWindows
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            listView1.Clear();
            listView1.LargeImageList = imageList1;
            listView1.Items.Add("云山", "云山", 0);
            listView1.Items.Add("飞雪", "飞雪", 1);
            listView1.Items.Add("娇娇", "娇娇", 2);
            listView1.Items.Add("天使", "天使", 3);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            listView1.Dock = DockStyle.None;
            button1.Dock = DockStyle.Top;
            button3.Dock = DockStyle.Bottom;
            button2.SendToBack();
            button2.Dock = DockStyle.Bottom;
            listView1.BringToFront();
            listView1.Dock = DockStyle.Bottom;
            listView1.Clear();
            listView1.Items.Add("云山", "云山", 0);
            listView1.Items.Add("飞雪", "飞雪", 1);
            listView1.Items.Add("娇娇", "娇娇", 2);
            listView1.Items.Add("天使", "天使", 3);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            listView1.Dock = DockStyle.None;
            button2.Dock = DockStyle.Top;
            button1.SendToBack();
            button1.Dock = DockStyle.Top;
            button3.Dock = DockStyle.Bottom;
            listView1.Dock = DockStyle.Bottom;
            listView1.Clear();
            listView1.Items.Add("蝴蝶", "蝴蝶", 4);
            listView1.Items.Add("可人", "可人", 5);

        }

        private void button3_Click(object sender, EventArgs e)
        {
            listView1.Dock = DockStyle.None;
            button3.SendToBack();
            button3.Dock = DockStyle.Top;
            button2.SendToBack();
            button2.Dock = DockStyle.Top;
            button1.SendToBack();
            button1.Dock = DockStyle.Top;
            listView1.Dock = DockStyle.Bottom;
            listView1.Clear();
            listView1.Items.Add("冰雨", "冰雨", 6);
            listView1.Items.Add("娇娇", "娇娇", 2);
            listView1.Items.Add("天使", "天使", 3);
            listView1.Items.Add("蝴蝶", "蝴蝶", 4);
        }

        
    }
}
